searchNodes=[{"doc":"Documentation for RusticResult .","ref":"Rustic.Result.html","title":"Rustic.Result","type":"module"},{"doc":"Apply a function which returns a result to an Ok result, or propagates the error.","ref":"Rustic.Result.html#and_then/2","title":"Rustic.Result.and_then/2","type":"function"},{"doc":"Iterate over Results, will fail at the first Error result.","ref":"Rustic.Result.html#collect/1","title":"Rustic.Result.collect/1","type":"function"},{"doc":"Wraps a value into an Err result","ref":"Rustic.Result.html#err/1","title":"Rustic.Result.err/1","type":"function"},{"doc":"Iterate over Results, will ignore failed items.","ref":"Rustic.Result.html#filter_collect/1","title":"Rustic.Result.filter_collect/1","type":"function"},{"doc":"Flatten a result containing another result.","ref":"Rustic.Result.html#flatten/1","title":"Rustic.Result.flatten/1","type":"function"},{"doc":"Returns true if the Result is an Err value","ref":"Rustic.Result.html#is_err?/1","title":"Rustic.Result.is_err?/1","type":"function"},{"doc":"Returns true if the Result is an Ok value","ref":"Rustic.Result.html#is_ok?/1","title":"Rustic.Result.is_ok?/1","type":"function"},{"doc":"Apply a function to the value contained in an Ok result, or propagates the error.","ref":"Rustic.Result.html#map/2","title":"Rustic.Result.map/2","type":"function"},{"doc":"Apply a function to the value contained in an Err result, or propagates the Ok result.","ref":"Rustic.Result.html#map_err/2","title":"Rustic.Result.map_err/2","type":"function"},{"doc":"Wraps a value into an Ok result","ref":"Rustic.Result.html#ok/1","title":"Rustic.Result.ok/1","type":"function"},{"doc":"Apply a function which returns a result to an Err result, or propagates the Ok value.","ref":"Rustic.Result.html#or_else/2","title":"Rustic.Result.or_else/2","type":"function"},{"doc":"Iterate over Results, returns a tuple of Ok results and Err results.","ref":"Rustic.Result.html#partition_collect/1","title":"Rustic.Result.partition_collect/1","type":"function"},{"doc":"Unwrap an Ok result, or raise an exception","ref":"Rustic.Result.html#unwrap!/1","title":"Rustic.Result.unwrap!/1","type":"function"},{"doc":"Unwrap an Err result, or raise an exception","ref":"Rustic.Result.html#unwrap_err!/1","title":"Rustic.Result.unwrap_err!/1","type":"function"},{"doc":"Unwrap an Ok result, or return a default value","ref":"Rustic.Result.html#unwrap_or/2","title":"Rustic.Result.unwrap_or/2","type":"function"},{"doc":"Describe an Err value","ref":"Rustic.Result.html#t:err/0","title":"Rustic.Result.err/0","type":"type"},{"doc":"A function that maps a value to a result","ref":"Rustic.Result.html#t:f/0","title":"Rustic.Result.f/0","type":"type"},{"doc":"Describe an Ok value","ref":"Rustic.Result.html#t:ok/0","title":"Rustic.Result.ok/0","type":"type"},{"doc":"Describe a Result type","ref":"Rustic.Result.html#t:t/0","title":"Rustic.Result.t/0","type":"type"},{"doc":"Error raised when trying to unwrap an Ok value","ref":"Rustic.Result.MissingError.html","title":"Rustic.Result.MissingError","type":"exception"},{"doc":"Convert error to string","ref":"Rustic.Result.MissingError.html#message/1","title":"Rustic.Result.MissingError.message/1","type":"function"},{"doc":"Error raised when trying to unwrap an Err result","ref":"Rustic.Result.UnhandledError.html","title":"Rustic.Result.UnhandledError","type":"exception"},{"doc":"Convert error to string","ref":"Rustic.Result.UnhandledError.html#message/1","title":"Rustic.Result.UnhandledError.message/1","type":"function"},{"doc":"Rustic Result Result monad for Elixir inspired by Rust Result type.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"This package can be installed by adding rustic_result to your list of dependencies in mix.exs : def deps do [ { :rustic_result , &quot;~&gt; 0.4.0&quot; } ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"import Rustic.Result ok ( 42 ) == { :ok , 42 } # true err ( :not_found ) == { :error , :not_found } # true ok ( 42 ) |&gt; is_ok? ( ) # true err ( :not_found ) |&gt; is_err? ( ) # true ok ( 1 ) |&gt; map ( fn v -&gt; v + 1 end ) # ok(2) err ( :not_found ) |&gt; map ( fn v -&gt; v + 1 end ) # err(:not_found) ok ( 1 ) |&gt; map_err ( fn reason -&gt; { :failed , reason } end ) # ok(1) err ( :not_found ) |&gt; map_err ( fn reason -&gt; { :failed , reason } end ) # err({:failed, :not_found}) ok ( 1 ) |&gt; and_then ( fn v -&gt; ok ( v + 1 ) end ) # ok(2) ok ( 1 ) |&gt; and_then ( fn _ -&gt; err ( :not_found ) end ) # err(:not_found) err ( :not_found ) |&gt; and_then ( fn v -&gt; ok ( v + 1 ) end ) # err(:not_found) ok ( 1 ) |&gt; or_else ( fn _ -&gt; ok ( 2 ) end ) # ok(1) err ( :not_found ) |&gt; or_else ( fn :not_found -&gt; ok ( 1 ) end ) # ok(1) err ( :not_found ) |&gt; or_else ( fn :not_found -&gt; err ( :invalid ) end ) # err(:invalid) ok ( 1 ) |&gt; unwrap! ( ) # 1 err ( :not_found ) |&gt; unwrap! ( ) # ** (Rustic.Result.UnhandledError) Expected an Ok result, &quot;:not_found&quot; given. ok ( 1 ) |&gt; unwrap_or ( 2 ) # 1 err ( :not_found ) |&gt; unwrap_or ( 2 ) # 2 ok ( 1 ) |&gt; unwrap_err! ( ) # ** (Rustic.Result.MissingError) Expected an Err result, &quot;1&quot; given. err ( :not_found ) |&gt; unwrap_err! ( ) # :not_found ok ( ok ( 1 ) ) |&gt; flatten ( ) # ok(1) ok ( err ( :failed ) ) |&gt; flatten ( ) # err(:failed) ok ( 1 ) |&gt; flatten ( ) # ok(1) [ ok ( 1 ) , ok ( 2 ) ] |&gt; collect ( ) # ok([1, 2]) [ ok ( 1 ) , err ( :not_found ) ] |&gt; collect ( ) # err(:failed) [ ok ( 1 ) , err ( :not_found ) ] |&gt; filter_collect ( ) # ok([1]) [ ok ( 1 ) , err ( :not_found ) ] |&gt; partition_collect ( ) # {ok([1]), err([:not_found])}","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"}]